/***************************************************************************
 *   Copyright (C) 2004 by Stephen McInerney                               *
 *   spm@stedee.id.au                                                      *
 *                                                                         *
 *   $Id: db_visitors.h 33 2005-07-07 02:31:34Z steve $
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

/***************************************************************************
 ***************************************************************************
 * db_visitors.h
 *
 ***************************************************************************
 ***************************************************************************/

/***************************************************************************
 ***************************************************************************
 * ModificationHistory:
 **********************
 * 19-Nov-2004 steve     Initial Creation - extracted from visitors.h
 * 15-Apr-2005 steve     Remove extraneous includes
 * 07-Jul-2005 steve     Fix pointer casting issue with del_hash
 *
 ***************************************************************************
 ***************************************************************************/

#ifndef VISITORS_DB_VISITORS_H
#define VISITORS_DB_VISITORS_H 1

/************************************************************************
 * 				FUNCTIONS				*
 ************************************************************************/
extern void open_visitor_db (DB **, char *, int);       /* Open the Berkeley DB) */
extern int close_visitor_db (DB **);            /* Open the Berkeley DB) */
extern void add_hash (DB **, void *, int, void *, int); /* Add a Key/Data pair to the hash */
extern void del_hash (DB **, void *);           /* Delete a hash */

#endif          /* VISITORS_DB_VISITORS_H */


/************************************************************************
 ************************************************************************
 *                      END OF FILE                                     *
 ************************************************************************
 ************************************************************************/
